[flexpart] 13/26: #729212 - fix broken update-alternatives

Alastair McKinstry mckinstry at moszumanska.debian.org
Thu Aug 27 12:42:15 UTC 2015


This is an automated email from the git hooks/post-receive script.

mckinstry pushed a commit to tag debian/9.02-10
in repository flexpart.

commit 27392c4105efbd0a7fb277b27bbf7d7a810ee859
Author: Alastair McKinstry <mckinstry at debian.org>
Date:   Sat Dec 14 11:00:22 2013 +0000

    #729212 - fix broken update-alternatives
---
 debian/changelog       |  3 ++-
 debian/flexpart.postrm | 17 +++++++++++++++++
 debian/flexpart.prerm  |  7 ++++---
 3 files changed, 23 insertions(+), 4 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 2b6d0ef..5cb4987 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
-flexpart (9.02-2) UNRELEASED; urgency=medium
+flexpart (9.02-2) unstable; urgency=medium
 
+  * update-alternatives now removes alternatives on rm. Closes: #729212.
   * Standards-Version: 3.9.5. No changes required. 
   * Move to section: science. Closes: #729444.
   * Fix typo in homepage URL. Closes: #730446.
diff --git a/debian/flexpart.postrm b/debian/flexpart.postrm
new file mode 100755
index 0000000..2bf8dc1
--- /dev/null
+++ b/debian/flexpart.postrm
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    remove|disappear)
+	update-alternatives --remove flexpart /usr/bin/flexpart
+        ;;
+    configure|abort-remove|abort-deconfigure|abort-upgrade)
+        # Nothing to undo
+        ;;
+    *)
+        echo "$0: Undocumented call: \"$@\"" >&2
+        exit 1
+        ;;
+esac
diff --git a/debian/flexpart.prerm b/debian/flexpart.prerm
old mode 100755
new mode 100644
index 56a334c..eb6785b
--- a/debian/flexpart.prerm
+++ b/debian/flexpart.prerm
@@ -1,10 +1,11 @@
 #!/bin/sh
+
 set -e
 
 #DEBHELPER#
 
-if [ "$1" = remove ]; then
-	update-alternatives --remove flexpart /usr/bin/flexpart
+if [ "$1" == "remove" ]
+then
+        update-alternatives --remove flexpart /usr/bin/flexpart
 fi
 
-

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/flexpart.git



More information about the debian-science-commits mailing list